import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/merchant/merchantAuditoriumSeatType/pageList',
    method: 'get',
    params: query
  })
}

export const SeatTypeList = (query) => {
  return request({
    url: '/merchant/merchantAuditoriumSeatType/pageList',
    method: 'get',
    params: query
  })
}

// 新增/修改
export const saveAndEdit = (data) => {
  return request({
    url: '/merchant/merchantAuditoriumSeatType/insertOrUpdate',
    method: 'post',
    data: data
  })
}

// 删除模板
export const deleteById = (id) => {
  return request({
    url: '/merchant/merchantAuditoriumSeatType/deleteById',
    method: 'delete',
    params: {id:id}
  })
}
